local addonName = "ItemRack"

local function scan()
	if ItemRackUser then
		for setName, t in pairs(ItemRackUser.Sets) do
			if not setName:match("^~") then
				for slotId, itemLink in pairs(t.equip) do
					local itemId = Quip.getItemIdFromItemLink(itemLink)
					if itemId then
						Quip.addBinding(addonName, setName, itemId)
					end
				end
			end
		end
	end
end
Quip.setScanner(addonName, scan)

-- To hook the save function of ItemRack

local frame = CreateFrame("Frame")

local function onEvent(self, event, arg1)
	if event == "ADDON_LOADED" and arg1 == "ItemRackOptions" then
		frame:UnregisterEvent("ADDON_LOADED")
		local old = ItemRackOpt.SaveSet
		if old then
			function ItemRackOpt.SaveSet()
				old()
				Quip.invalidate()
			end
		else
			DEFAULT_CHAT_FRAME:AddMessage("Quip Error: Could not find ItemRackOpt.SaveSet")
		end
	end
end

frame:RegisterEvent("ADDON_LOADED")
frame:RegisterEvent("PLAYER_LOGIN")
frame:SetScript("OnEvent", onEvent)

